| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csGenerateImageTexture Class Reference

A base class which represents a texture that can be displayed on the terrain. More...

`#include <cstool/gentrtex.h>`

Inheritance diagram for csGenerateImageTexture:

[legend]
List of all members.

## Public Member Functions
virtual void | GetColor (csColor &col, float x, float y)=0
| get color (0..1) for location
virtual | ~csGenerateImageTexture ()
| delete it

## Detailed Description

A base class which represents a texture that can be displayed on the terrain.

It has a colour for each pixel

Definition at line 54 of file gentrtex.h.

## Constructor & Destructor Documentation

virtual csGenerateImageTexture::~csGenerateImageTexture | ( |  | ) | `[inline, virtual]`

delete it

Definition at line 58 of file gentrtex.h.

## Member Function Documentation

virtual void csGenerateImageTexture::GetColor | ( | csColor & | col,
|  | float | x,
|  | float | y |
| ) |  |  | `[pure virtual]`

get color (0..1) for location

Implemented in csGenerateImageTextureSolid, csGenerateImageTextureSingle, and csGenerateImageTextureBlend.

The documentation for this class was generated from the following file:

- cstool/gentrtex.h